<?php
$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');

// Add scripts for Supervision
$this->headScript()->appendFile('/js/monitorTab.js');
$this->headScript()->appendScript($this->variables);

// Add CSS for Monitoring
$this->headLink ()->appendStylesheet ('/css/monitor.css');

$channelsHtml = "";
foreach ($this->channelsList as $channel)
{
    $channelsHtml .= "<option id=\"channel-".$channel ['id']
                            ."\" name=\"channel-".$channel ['id']
                            ."\" value=\"".$channel ['id']."\">"
                            .$channel ['name']
                    ."</option>\n";
}

echo '<h1>'.$translator->translate ('Players status').'</h1>';
echo '<hr>';

echo "<div id=\"boxL\">";
echo $translator->translate ('Broadcast Groups / Players');
echo "  <div id=\"tree_boxes\">\n";
echo "    <ol id=\"groupsList\">\n";
echo "    </ol>\n";
echo "  </div>";

if ($this->permissions && $this->permissions->isAllowed ('Parc', 'new'))
{
    echo "<form id=\"addGroup\">\n";
    echo "    <input type=\"text\" id=\"newGroup\" />\n";
    echo "    <input type=\"submit\" value=\"";
    echo $translator->translate ('Add a group')."\" />\n";
    echo "</form>\n";
}
echo "</div>\n";

echo "<div id=\"boxR\">\n";
// Programs buttons
echo "  <div id=\"programDetails\">\n";
echo "    <form id=\"toProgramPage\" method=\"post\">\n";
echo "      <input type=\"hidden\" id=\"referer\" "
            ."name=\"referer\" value=\"\" />\n";
echo "      <input type=\"hidden\" id=\"progId\" "
            ."name=\"progId\" value=\"\" />\n";
echo "      <input type=\"hidden\" id=\"emissionId\" "
            ."name=\"emissionId\" value=\"\" />\n";
echo "      <input type=\"hidden\" id=\"page\" "
            ."name=\"page\" value=\"/Supervision\" />\n";
echo "    </form>\n";

echo $this->composerTableLine ('', '', 'HEAD');
echo $this->composerTableLine ($translator->translate ('Current Program is ').
                               "<select id=\"currentProgSelect\">"
                                .$channelsHtml
                               ."</select>"
                               ."<span id=\"currentProgSpan\"></span>",
                               '', 'MERGED');
echo $this->composerTableLine ("<input type=\"submit\" id=\"editEmi\" value=\""
                               .$translator->translate ('Edit the emission')."\">",
                               '', 'MERGED');
echo $this->composerTableLine ("<input type=\"submit\" id=\"editProg\" value=\""
                               .$translator->translate ('Edit the program')."\">",
                               '', 'MERGED');
echo $this->composerTableLine ('', '', 'FOOT');
echo "</div>\n";

// Edit Group Properties
echo "  <div id=\"editGroup\">\n";
echo "    <h3 class=\"togglerGr\">".$translator->translate ('Additional Information')."</h3>\n";
echo "      <div class=\"elementGr\">\n";
echo "        <input type=\"hidden\" id=\"groupId\" name=\"groupId\" />\n";

echo $this->composerTableLine ('', '', 'HEAD');
echo $this->composerTableLine ($translator->translate ('Group: '),
                               "<input type=\"text\" id=\"groupName\" name=\"groupName\" />");
echo $this->composerTableLine ($translator->translate ('Description: '),
                               "<textarea id=\"groupDesc\" cols=\"35\" rows=\"4\" name=\"groupDesc\"></textarea>");
echo $this->composerTableLine ('', '', 'FOOT');
echo "      </div>\n";
echo "  <form id=\"formGroupProperties\">\n";
echo "  </form>\n";
echo $this->composerTableLine ('', '', 'HEAD');
echo $this->composerTableLine ("<input type=\"submit\" id=\"applyGroup\" ".
                               "value=\"".$translator->translate ('Apply')."\"/>".
                               "<input type=\"submit\" id=\"cancelGroup\" ".
                               "value=\"".$translator->translate ('Cancel')."\"/>",
                               '', 'MERGED');
echo $this->composerTableLine ('', '', 'FOOT');
echo "  </div>\n";

// Edit iBox properties
echo "  <div id=\"editBox\">\n";
// - Supervision
echo "    <h3 class=\"togglerBox\">".$translator->translate ('Operation')."</h3>\n";
echo "      <div class=\"elementBox\">\n";
echo $this->composerTableLine ('', '', 'HEAD');
echo $this->composerTableLine ($translator->translate ('Status: '),
                               "<span id=\"boxStatus\"></span><br />");
echo $this->composerTableLine ($translator->translate ('Composer commands: '),
                               "<span id=\"boxSync\"></span><br />");
echo $this->composerTableLine ($translator->translate ('Current Program: '),
                               "<span id=\"boxProgram\"></span><br />");
echo $this->composerTableLine ($translator->translate ('Current Emission: '),
                               "<span id=\"boxEmission\"></span><br />");
/*
echo $this->composerTableLine ('', "<a id=\"boxLogs\" target=\"_blank\" href=\"\">".
                                    $translator->translate ('Logs').
                               "</a>");
*/
echo $this->composerTableLine ('', '', 'FOOT');
echo "      </div>\n";

// - iBox
echo "    <h3 class=\"togglerBox\">".$translator->translate ('iBox identification')."</h3>\n";
echo "      <div class=\"elementBox\">\n";
echo $this->composerTableLine ('', '', 'HEAD');
echo $this->composerTableLine ($translator->translate ('iBox identifier: '),
                               "<span id=\"boxHash\"></span>");
echo $this->composerTableLine ($translator->translate ('iBox name: '),
                               "<input type=\"text\" id=\"boxName\" name=\"boxName\"/>");
echo $this->composerTableLine ($translator->translate ('iBox coordinates: '),
                               "<input type=\"text\" id=\"boxCoord\" name=\"boxCoord\"/>");
echo $this->composerTableLine ($translator->translate ('License validity status: '),
                               "<span id=\"boxLicstatus\"></span>");
echo $this->composerTableLine ($translator->translate ('License expiry date: '),
                               "<span id=\"boxLicexpiration\" /></span>");
echo $this->composerTableLine ($translator->translate ('Mac address: '),
                               "<span id=\"boxMac\"></span>");
echo $this->composerTableLine ($translator->translate ('Last IP address: '),
                               "<span id=\"boxLastIp\"></span>");
echo $this->composerTableLine ($translator->translate ('IP address: '),
                               "<input type=\"text\" id=\"boxIp\" name=\"boxIp\"/>");
echo $this->composerTableLine ($translator->translate ('Gateway: '),
                               "<input type=\"text\" id=\"boxGw\" name=\"boxGw\"/>");
echo $this->composerTableLine ($translator->translate ('DNS: '),
                               "<input type=\"text\" id=\"boxDns\" name=\"boxDns\"/>");
echo $this->composerTableLine ($translator->translate ('Package Version: '),
                               "<span id=\"boxPkgver\"></span>");
echo $this->composerTableLine ('', '', 'FOOT');
echo "      </div>\n";

// - Composer
echo "    <h3 class=\"togglerBox\">".$translator->translate ('iBox Composer')."</h3>\n";
echo "      <div class=\"elementBox\">\n";
echo $this->composerTableLine ('', '', 'HEAD');
echo $this->composerTableLine ($translator->translate ('Composer Name: '),
                               "<span id=\"boxComposerHost\"/></span>");
echo $this->composerTableLine ($translator->translate ('Composer IP address: '),
                               "<input type=\"text\" id=\"boxComposerIp\" name=\"boxComposerIp\"/>");
echo $this->composerTableLine ('', '', 'FOOT');
echo "      </div>\n";

// - Network
/*
echo "    <h3 class=\"togglerBox\">".$translator->translate ('iBox Network Configuration')."</h3>\n";
echo "      <div class=\"elementBox\">\n";
echo $this->composerTableLine ('', '', 'HEAD');
echo $this->composerTableLine ('', '', 'FOOT');
echo "      </div>\n";

// - Packages
echo "    <h3 class=\"togglerBox\">".$translator->translate ('Packages Server')."</h3>\n";
echo "      <div class=\"elementBox\">\n";
echo $this->composerTableLine ('', '', 'HEAD');
echo $this->composerTableLine ('', '', 'FOOT');
echo "      </div>\n";

// - Licenses
echo "    <h3 class=\"togglerBox\">".$translator->translate ('License')."</h3>\n";
echo "      <div class=\"elementBox\">\n";
echo $this->composerTableLine ('', '', 'HEAD');
echo $this->composerTableLine ('', '', 'FOOT');
echo "      </div>\n";
*/

echo "  <form id=\"formBoxProperties\">\n";
echo "  <div id=\"editBoxSlides\">\n";
echo "  </div>\n";
echo "  </form>\n";

echo $this->composerTableLine ('', '', 'HEAD');
echo $this->composerTableLine ("<input type=\"submit\" id=\"applyBox\" ".
                               "value=\"".$translator->translate ('Apply')."\"/>",
                               "<input type=\"submit\" id=\"cancelBox\" ".
                               "value=\"".$translator->translate ('Cancel')."\"/>");
echo $this->composerTableLine ('', '', 'FOOT');
echo "  </div>\n";
echo "</div>\n";
